cURL
curl --request GET \
--url https://test.deribit.com/api/v2/public/get_supported_index_namesimport requests
url = "https://test.deribit.com/api/v2/public/get_supported_index_names"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://test.deribit.com/api/v2/public/get_supported_index_names', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 25718,
"result": [
"btc_eth",
"btc_usdc",
"eth_usdc"
]
}Market Data
public/get_supported_index_names
Retrieves the identifiers (names) of all supported price indexes, optionally filtered by index type. Price indexes are reference prices used for mark price calculations, settlement, and other market operations.
Use the type parameter to filter indexes by type (e.g., spot, futures, etc.). This method helps discover available indexes for use with other API methods.
cURL
Query Parameters
Type of a cryptocurrency price index
Available options:
all, spot, derivative Response
200 - application/json
Success response
The JSON-RPC version (2.0)
Available options:
2.0 Hide child attributes
Hide child attributes
Index name
Whether future combo creation is enabled for this index (only present when extended=true)
Whether option combo creation is enabled for this index (only present when extended=true)
The id that was sent in the request
Was this page helpful?